全网整合营销服务商

电脑端+手机端+微信端=数据同步管理

免费咨询热线:18021552955

解决centos系统安装php 7.2时出现的异常问题

我们知道centos系统内部是自带了php 5的,因此在安装php 7.2时可能会遇到很多问题。下面我们就来一一解决安装过程中遇到的问题。

首先获取rpm:

rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm

然后可以利用 sudo yum list php*查看目前都有php的什么版本了,可以发现从4-7.2的版本都有,7.2版本名为72w,因此安装该版本即可:

sudo yum -y install php72w

遇到问题:

Transaction check error:
file /etc/httpd/conf.d/php.conf from install of mod_php72w-7.2.14-1.w7.x86_64 conflicts with file from package php-5.4.16-46.el7.x86_64
file /etc/httpd/conf.modules.d/10-php.conf from install of mod_php72w-7.2.14-1.w7.x86_64 conflicts with file from package php-5.4.16-46.el7.x86_64
错误概要
-------------

解决:

yum -y remove php-5.4.16-46.el7.x86_64

但安装完毕后,输入php -v发现并没有该命令,因为php72w只是安装了php最小的库,一些应用还未安装,因此安装一些拓展包即可:

(学习视频分享:php视频教程)

yum -y install php72w-cli php72w-common php72w-devel php72w-mysql

遇到问题:

错误:php72w-common conflicts with php-common-5.4.16-46.el7.x86_64
您可以尝试添加 --skip-broken 选项来解决该问题
您可以尝试执行:rpm -Va --nofiles --nodigest

解决:

yum -y remove php-common-5.4.16-46.el7.x86_64

然后输入php -v出现如下信息:

PHP 7.2.14 (cli) (built: Jan 12 2019 12:47:33) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies

江阴网站制作公司-就找江阴雨辰互联

您的项目需求

*请认真填写需求信息,我们会在24小时内与您取得联系。